Skip to main content
GET
/
v5
/
bills
/
bills
Get bills
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/bills/bills \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v5/bills/bills"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v5/bills/bills', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "categoryId": 123,
      "id": 123,
      "amount": 123,
      "date": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "vendorId": 123,
      "name": "<string>",
      "billNo": 123,
      "apiInstitutionName": "<string>",
      "apiBillId": "<string>",
      "v6Id": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date.

cursor
string

Cursor from the previous paginated response

limit
string
default:""

Page size, i.e. number of items to return per page

Query Parameters

status
enum<string>[]

Status filter - returns all bills for the specified statuses. Null or empty list will default to DRAFT and OPEN.

Available options:
DRAFT,
OPEN,
PAID,
CANCELLED,
REMOVED
beginDate
string

Begin date filter - returns all records with a date after the specified date.

endDate
string

End date filter - returns all records with a date before the specified date.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate